package cz.toho.dao.mapper;

import cz.toho.model.TaskRelationship;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Component;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Row mapper for {@link TaskRelationship}
 * <p>
 * Created by tomasholicky
 */
@Component
public class TaskRelationshipMapper implements RowMapper<TaskRelationship> {
    @Override
    public TaskRelationship mapRow(final ResultSet rs, final int i) throws SQLException {
        TaskRelationship taskRelationship = new TaskRelationship();
        taskRelationship.setIdTask(rs.getLong("id_task"));
        taskRelationship.setIdUser(rs.getLong("id_user"));
        return taskRelationship;
    }
}
