package cz.toho.model;

import java.util.Date;

/**
 * Class that represents note for a task
 * <p>
 * Created by tomasholicky
 */

public class Note {
    /**
     * id of file
     */
    private Long idNote;
    /**
     * id of task
     */
    private Long idTask;
    /**
     * email
     */
    private String email;
    /**
     * note
     */
    private String note;
    /**
     * date of insert
     */
    private Date insertDate;

    public Long getIdNote() {
        return idNote;
    }

    public void setIdNote(Long idNote) {
        this.idNote = idNote;
    }

    public Long getIdTask() {
        return idTask;
    }

    public void setIdTask(Long idTask) {
        this.idTask = idTask;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Date getInsertDate() {
        return insertDate;
    }

    public void setInsertDate(Date insertDate) {
        this.insertDate = insertDate;
    }

    @Override
    public String toString() {
        return "NoteDb{" +
                "idNote=" + idNote +
                ", idTask=" + idTask +
                ", email=" + email +
                ", note='" + note + '\'' +
                ", insertDate=" + insertDate +
                '}';
    }
}
