package cz.toho.model;

import java.sql.Blob;

/**
 * Class that represents file with metadata
 * <p>
 * Created by tomasholicky
 */

public class TaskFile {
    /**
     * file
     */
    private Blob file;
    /**
     * file name
     */
    private String fileName;
    /**
     * content type
     */
    private String contentType;

    public Blob getFile() {
        return file;
    }

    public void setFile(Blob file) {
        this.file = file;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    @Override
    public String toString() {
        return "TodoFile{" +
                "file=" + file +
                ", fileName='" + fileName + '\'' +
                ", contentType='" + contentType + '\'' +
                '}';
    }
}
