package cz.toho.model;

import java.util.Date;

/**
 * Class that represents information about the file
 * <p>
 * Created by tomasholicky
 */

public class TaskFileInfo {
    /**
     * id of file
     */
    private Long idFile;
    /**
     * id of task
     */
    private Long idTask;
    /**
     * email
     */
    private String email;
    /**
     * file name
     */
    private String fileName;
    /**
     * date of insert
     */
    private Date insertDate;

    public Long getIdFile() {
        return idFile;
    }

    public void setIdFile(Long idFile) {
        this.idFile = idFile;
    }

    public Long getIdTask() {
        return idTask;
    }

    public void setIdTask(Long idTask) {
        this.idTask = idTask;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public Date getInsertDate() {
        return insertDate;
    }

    public void setInsertDate(Date insertDate) {
        this.insertDate = insertDate;
    }

    @Override
    public String toString() {
        return "File{" +
                "idFile=" + idFile +
                ", idTask=" + idTask +
                ", email='" + email + '\'' +
                ", fileName='" + fileName + '\'' +
                ", insertDate=" + insertDate +
                '}';
    }
}
