/**
 * Created by tomasholicky
 */
(function () {
    'use strict';

    angular.module('cz.toho.login', ['cz.toho.auth.service'])
        .controller('loginController', ['$scope', 'authService', 'EVENTS', function ($rootScope, authService, EVENTS) {
            this.credentials = {};

            this.login = function () {
                authService.login(this.credentials.username, this.credentials.password);
            };

            $rootScope.$on(EVENTS.loginFailed, function () {
                this.isBadLogin = true;
            }.bind(this));

            $rootScope.$on(EVENTS.loginSuccess, function () {
                this.isBadLogin = false;
            }.bind(this));
        }]);
})();