/**
 * Created by tomasholicky
 */
(function () {
    'use strict';

    angular.module('cz.toho.main', []).controller('mainController', ['$scope', 'ApiTask', 'Notification', function ($scope, ApiTask, Notification) {
        $scope.addTask = function () {
            ApiTask.Tasks.save($scope.task, function (success) {
                Notification.success('<i class="fa fa-plus"></i> Byl vytvořen úkol ' + $scope.task.name + '.');
                $scope.$broadcast('cz.toho.task:reloadTasks');
                $scope.clear();
            });
        };

        $scope.clear = function () {
            $scope.task = null;
        };
    }]);
})();