package cz.toho.dao.mapper;

import cz.toho.model.Role;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.stereotype.Component;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Row mapper for {@link Role}
 * <p>
 * Created by tomasholicky
 */
@Component
public class RoleMapper implements RowMapper<Role> {
    @Override
    public Role mapRow(final ResultSet rs, final int i) throws SQLException {
        Role role = new Role();
        role.setAuthority(rs.getString("role_name"));
        return role;
    }
}
