package cz.toho.model;

/**
 * Class that represents main task
 * <p>
 * Created by tomasholicky
 */

public class Task {
    /**
     * id of task
     */
    private Long idTask;
    /**
     * name of task
     */
    private String name;
    /**
     * description of task
     */
    private String description;
    /**
     * flag that marks whether a task is urgent
     */
    private boolean urgent;
    /**
     * status of task
     */
    private TaskStatusEnum taskStatus;

    public Long getIdTask() {
        return idTask;
    }

    public void setIdTask(Long idTask) {
        this.idTask = idTask;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public boolean isUrgent() {
        return urgent;
    }

    public void setUrgent(boolean urgent) {
        this.urgent = urgent;
    }

    public TaskStatusEnum getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(TaskStatusEnum taskStatus) {
        this.taskStatus = taskStatus;
    }

    @Override
    public String toString() {
        return "Task{" +
                "idTask=" + idTask +
                ", name='" + name + '\'' +
                ", description='" + description + '\'' +
                ", urgent=" + urgent +
                ", taskStatus=" + taskStatus +
                '}';
    }
}
